%define debug_package %{nil}
Name:           kylin-display-switch
Version:        2.0.13
Release:        2
Summary:        Gui tool for display switching
License:        GPL-3
URL:            https://github.com/ukui/kylin-display-switch
Source0:        %{name}-%{version}.tar.gz
BuildRequires: python3
BuildRequires: python3-setuptools
BuildRequires: python3-distutils-extra
BuildRequires: python3-rpm-macros
BuildRequires: python-rpm-macros

Requires:  python3-qt5
Requires:  python3-xlib
Requires:  python3-evdev

%description
 Kylin Display Switch is a Gui tool managing display output.
 Super_L + P/F3/F7 are utilized to activate display switching.
 .
 It also monitors CapsLock and NumLock key, when these
 buttons are clicked, corresponding reminder will popper up.

%prep

%setup -q
sed -i 's|../lib/systemd/system/|lib/systemd/system/|g' setup.py 
%build

%{py3_build} 

%install
%{py3_install}
%find_lang %name

%post
set -e

#systemctl enable kylin-display-switch.service

linkfile="/usr/bin/super_kds"
test -L $linkfile && `rm $linkfile`
ln -s /usr/share/kylin-display-switch/super_kylin_display_switch.py $linkfile

exit 0

%files -f %name.lang
%doc debian/changelog
%license  debian/copyright 
%{_sysconfdir}/xdg/autostart/kylin-display-switch.desktop
%{_sysconfdir}/dbus-1/system.d/com.kylin.display.switch.conf
%{_bindir}/*
%{_unitdir}/kylin-display-switch.service
%{_datadir}/kylin-display-switch/
%{_datadir}/glib-2.0/schemas/org.kylin.display.switch.gschema.xml
%{_datadir}/dbus-1/system-services/com.kylin.display.switch.service
%{_mandir}/man1/kds.1.gz
%{_mandir}/man1/kdsSysDbusLauncher.1.gz
%{python3_sitelib}/kylin_display_switch-*.egg-info

%changelog
* Tue Jun 8 2021 douyan <douyan@kylinos.cn> - 2.0.13-2
- fix issue: enable kylin-display-switch.service failed

* Wen Nov 11 2020 douyan <douyan@kylinos.cn> - 2.0.13-1
- update to upstream version 2.0.12-1+1031
